Debian Bug report logs - #691840
ITA: xmp -- module player supporting AWE32, GUS, and software-mixing

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Gürkan Sengün <gurkan@phys.ethz.ch>

Date: Tue, 30 Oct 2012 08:36:01 UTC

Owned by: Stephen Kitt <skitt@debian.org>

Severity: normal

Fixed in version xmp/4.0.6-1

Done: Stephen Kitt <skitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691840; Package wnpp. (Tue, 30 Oct 2012 08:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 30 Oct 2012 08:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: submit@bugs.debian.org
Subject: O: xmp -- module player supporting AWE32, GUS, and software-mixing
Date: Tue, 30 Oct 2012 09:34:53 +0100
Package: wnpp
Severity: normal

I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you are *sure* you will have enough time and attention to
work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.



Owner recorded as Stephen Kitt <skitt@debian.org>. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Sun, 07 Jul 2013 13:03:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: xmp -- module player supporting AWE32, GUS, and software-mixing' from 'O: xmp -- module player supporting AWE32, GUS, and software-mixing' Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Sun, 07 Jul 2013 13:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691840; Package wnpp. (Fri, 26 Jul 2013 05:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <skitt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 26 Jul 2013 05:15:04 GMT) Full text and rfc822 format available.

Message #14 received at 691840@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: Axel Beckert <abe@debian.org>
Cc: Jonathan <jon@dorsal.tk>, 717855@bugs.debian.org, 691840@bugs.debian.org, 717879@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#717855: xmp: please update to xmp 4.x and libxmp
Date: Fri, 26 Jul 2013 07:11:49 +0200
[Message part 1 (text/plain, inline)]
retitle 717879 ITP: libxmp -- backend library for the Extended Module Player
owner 717879 !
thanks

Hi,

On Fri, 26 Jul 2013 01:27:46 +0200, Axel Beckert <abe@debian.org> wrote:
> Jonathan wrote:
> > XMP has been rewritten and now supports a much greater range of formats
> > and archive methods, including lzh and lha archives from the Amiga.
> > Please consider updating xmp and related packages to the new upstream
> > versions.  They are still available at xmp.sourceforge.net.
> 
> xmp seems to have been split up. The xmp frontend now requires the
> libxmp library which needs to be packaged seperately first. Hence
> cloning this bug-report into an RFP.
> 
> The Debian QA team likely won't package new software just to continue
> packaging an orphaned package.
> 
> But since someone intents to adopt xmp, I suspect libxmp will find
> someone to package it, too. See http://bugs.debian.org/691840 for the
> xmp adoption intention.

Indeed, I'm packaging libxmp to go along with the new version of xmp. I'm
currently waiting on some licence clarification from upstream.

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Stephen Kitt <skitt@debian.org>:
You have taken responsibility. (Sun, 01 Dec 2013 22:39:15 GMT) Full text and rfc822 format available.

Notification sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug acknowledged by developer. (Sun, 01 Dec 2013 22:39:15 GMT) Full text and rfc822 format available.

Message #19 received at 691840-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: 691840-close@bugs.debian.org
Subject: Bug#691840: fixed in xmp 4.0.6-1
Date: Sun, 01 Dec 2013 22:34:13 +0000
Source: xmp
Source-Version: 4.0.6-1

We believe that the bug you reported is fixed in the latest version of
xmp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691840@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <skitt@debian.org> (supplier of updated xmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 01 Dec 2013 23:21:37 +0100
Source: xmp
Binary: xmp
Architecture: source amd64
Version: 4.0.6-1
Distribution: unstable
Urgency: low
Maintainer: Stephen Kitt <skitt@debian.org>
Changed-By: Stephen Kitt <skitt@debian.org>
Description: 
 xmp        - module player supporting AWE32, GUS, and software-mixing
Closes: 191109 636862 691840 697629 717855
Changes: 
 xmp (4.0.6-1) unstable; urgency=low
 .
   * New maintainer (closes: #691840).
   * New upstream version, based on libxmp (closes: #717855):
     - supports ALSA output (closes: #636862);
     - splits the audacious plugin into a separate project, so remove
       xmp-audacious and xmp-common;
     - supports LHA archives using a build-in decompressor in libxmp
       (closes: #697629);
     - displays total duration and elapsed time (closes: #191109).
   * Standards-Version 3.9.5, no change required.
   * Patch the manpage to fix hyphens used as minus signs.
Checksums-Sha1: 
 c121f2206b717f70d22e1d291f0dcac857651446 1789 xmp_4.0.6-1.dsc
 61a7d68e4c37e7407bd35c783821bfbc2b639c87 208541 xmp_4.0.6.orig.tar.gz
 dc783ca82ef4fad134f21b51e3119d98a6e7a534 9751 xmp_4.0.6-1.debian.tar.gz
 cb9f15756c1eaa67ddd64cef084cfdc72688bf37 29954 xmp_4.0.6-1_amd64.deb
Checksums-Sha256: 
 281d440169a8837e6422c4b8c78964c74a4ae58dba2d2b5c09254ac3d8d4d8bb 1789 xmp_4.0.6-1.dsc
 58922490268078abe49feb47a447a117ae929fd7700969218bfa94b048910381 208541 xmp_4.0.6.orig.tar.gz
 6b8f712200c6d0cc57158de54a03f2290e6f6a73875d5bfe8248c4526fef6acd 9751 xmp_4.0.6-1.debian.tar.gz
 a1dadfd5606c2ff5cd065e2682e6f810b02a1ca13b0a69d9ee26cd2f38a70036 29954 xmp_4.0.6-1_amd64.deb
Files: 
 a93589da920601db399f76a0469386b0 1789 sound optional xmp_4.0.6-1.dsc
 3d49b5cd36ff2e15e31d00604acf8e30 208541 sound optional xmp_4.0.6.orig.tar.gz
 f673b37c311f100d3fdcd518afc435f1 9751 sound optional xmp_4.0.6-1.debian.tar.gz
 393df35b084b6e0ebc3338e985eb86c6 29954 sound optional xmp_4.0.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSm7bIAAoJEHWXeKmja0lPyr8P/0DgP8jlXhsKDcgU9zgdIYFm
fchGn39MibZuCL/EBNAB/jeFRzGP4DxeqjS3nGblKXU0ijGLGr5aAT15ZR1HqWa5
EbmyX+4ZOg1b5h86/mAXF6fbJIR2UX69g1HCO1SplrroZphiM1wafkQnP5qGv1Gr
G71h8+nDtKKi9AZX1TIBldvqI7WcE2yM3kgc/gm3qWZF6mGaOXft4lOBoPsFW/5H
MudFs+wsNPr9WGhKO5OygwesxUW0LoJuNK/sniOv8z/8WQGVBFKl/Q+WKiwlEXzm
YWJW449vJnCqxlC0/D91+t5VggPois/LGyu6w0/naQ0S22kOmXlX3cHUce3Q/t10
n8pRDb8wHFbiI1cSKo6tUArwnI+UdoY5PuPME8Iby7HYoYxqSP6Wx159MCtLJbI9
wKubMGcZh5FAFBFeokKoxec18kh/Ty9ZrhC6KoQURBfHVq9sHriX5AdbfkvNz4Pe
FHolxHEfUkoK32rLfXABYpRMdXBoTeFxOBTRVH8F7Ga97NOOdDyJdryQYb4JQmbW
PHLxIEM+QY7V4S1KN+eLoVZobDT1tOq2e7iCrNqxtP0gmP/AYvEeZsbcE8+FiqBR
mXs7i7YxbDQQF398hLz0W9OksCLcmYON70gEtEtqMuxghuSfjQfsS+wbStLlNtP3
xojGqsowHE3TPCTGw62M
=CqRf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Dec 2013 07:27:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:35:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.